Package org.apache.lucene.util

## Interface AttributeReflector

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface AttributeReflector

  This interface is used to reflect contents of `AttributeSource` or `AttributeImpl`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `reflect​(Class<? extends Attribute> attClass, String key, Object value)` | This method gets called for every property in an `AttributeImpl`/`AttributeSource` passing the class name of the `Attribute`, a key and the actual value.

- - ### Method Detail

    - #### reflect

          void reflect​(Class<? extends Attribute> attClass,
                       String key,
                       Object value)

      This method gets called for every property in an `AttributeImpl`/`AttributeSource` passing the class name of the `Attribute`, a key and the actual value. E.g., an invocation of `CharTermAttributeImpl.reflectWith(org.apache.lucene.util.AttributeReflector)` would call this method once using `org.apache.lucene.analysis.tokenattributes.CharTermAttribute.class` as attribute class, `"term"` as key and the actual value as a String.